Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Point3f

    java.lang.Object
      javax.vecmath.Tuple3f
          javax.vecmath.Point3f

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ShootInfo

    public class Point3f

extends Tuple3f
implements java.io.Serializable

A 3 element point that is represented by single precision floating point x,y,z coordinates.

Author:
  Kenji hiranabe
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple3f
`x, y, z`

Constructor Summary
`Point3f()` Constructs and initializes a Point3f to (0,0,0).
`Point3f(float[] p)` Constructs and initializes a Point3f from the specified array.
`Point3f(float x, float y, float z)` Constructs and initializes a Point3f from the specified xy coordinates.
`Point3f(Point3d p1)` Constructs and initializes a Point3f from the specified Point3d.
`Point3f(Point3f p1)` Constructs and initializes a Point3f from the specified Point3f.
`Point3f(Tuple3d t1)` Constructs and initializes a Point3f from the specified Tuple3d.
`Point3f(Tuple3f t1)` Constructs and initializes a Point3f from the specified Tuple3f.

Method Summary
`java.lang.Object` | `clone()`
`float` | `distance(Point3f p1)` Returns the distance between this point and point p1.
`float` | `distanceL1(Point3f p1)` Computes the L-1 (Manhattan) distance between this point and point p1.
`float` | `distanceLinf(Point3f p1)` Computes the L-infinite distance between this point and point p1.
`float` | `distanceSquared(Point3f p1)` Computes the square of the distance between this point and point p1.
`void` | `project(Point4f p1)` Multiplies each of the x,y,z components of the Point4f parameter by 1/w and places the projected values into this point.

Methods inherited from class javax.vecmath.Tuple3f
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, epsilonEquals, equals, equals, get, get, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Point3f

    public Point3f()

  Constructs and initializes a Point3f to (0,0,0).

### Point3f

    public Point3f(float[] p)

  Constructs and initializes a Point3f from the specified array.

  Parameters:
    `p` - the array of length 3 containing xyz in order

### Point3f

    public Point3f(float x,
                   float y,
                   float z)

  Constructs and initializes a Point3f from the specified xy coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### Point3f

    public Point3f(Point3d p1)

  Constructs and initializes a Point3f from the specified Point3d.

  Parameters:
    `p1` - the Point3f containing the initialization x y z data

### Point3f

    public Point3f(Point3f p1)

  Constructs and initializes a Point3f from the specified Point3f.

  Parameters:
    `p1` - the Point3f containing the initialization x y z data

### Point3f

    public Point3f(Tuple3d t1)

  Constructs and initializes a Point3f from the specified Tuple3d.

  Parameters:
    `t1` - the Tuple3d containing the initialization x y z data

### Point3f

    public Point3f(Tuple3f t1)

  Constructs and initializes a Point3f from the specified Tuple3f.

  Parameters:
    `t1` - the Tuple3f containing the initialization x y z data

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Tuple3f`

### distance

    public final float distance(Point3f p1)

  Returns the distance between this point and point p1.

  Parameters:
    `p1` - the other point
  Returns:
    the distance between these two points

### distanceL1

    public final float distanceL1(Point3f p1)

  Computes the L-1 (Manhattan) distance between this point and point p1. The L-1 distance is equal to abs(x1-x2) + abs(y1-y2) + abs(z1-z2) .

  Parameters:
    `p1` - the other point

### distanceLinf

    public final float distanceLinf(Point3f p1)

  Computes the L-infinite distance between this point and point p1. The L-infinite distance is equal to MAX[abs(x1-x2), abs(y1-y2), abs(z1-z2)].

  Parameters:
    `p1` - the other point

### distanceSquared

    public final float distanceSquared(Point3f p1)

  Computes the square of the distance between this point and point p1.

  Parameters:
    `p1` - the other point
  Returns:
    the square of distance between these two points as a float

### project

    public final void project(Point4f p1)

  Multiplies each of the x,y,z components of the Point4f parameter by 1/w and places the projected values into this point.

  Parameters:
    `p1` - the source Point4d, which is not modified

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD